Subject: Re: bug#10434: FAIL: depmod.tap 50 - tru64 [long VPATH] make & remake

From: Peter Rosin <[email-masked]>
Date: Wed, 08 Feb 2012 00:29:21 +0100

Stefano Lattarini skrev 2012-02-08 00:01:
> Hi Peter, thanks for the invaluable feedback.

Thanks for the appreciation, but "invaluable" is perhaps a bit over the top...

> On 02/07/2012 10:05 PM, Peter Rosin wrote:
>> Stefano Lattarini skrev 2012-02-05 14:16:
>>> +case $depmode in
>>> +  auto)
>>> +    cfg_deptrack=--enable-dependency-tracking ;;
>>> +  disabled)
>>> +    cfg_deptrack=--disable-dependency-tracking ;;
>>> +  *)
>>> +    # Sanity check: ensure the cache variable we force is truly
>>> +    # used by configure.
>>> +    $FGREP $cachevar configure \
>>> +      || fatal_ "configure lacks required cache variable '$cachevar'"
>>> +    cfg_deptrack="cachevar=$depmode" ;;
>>
>> Here's the reason for failing to force the depmode, possibly.
>>
>> It works better with $cachevar
>>
> Well spotted! (and I feel like a moron now).  To make amend, I've squashed
> the diff below into 'depmod.sh' (this would have caught the blunder right

<whisper>depcomp.sh</whisper>

> away).
> 
>   @@ -262,12 +262,15 @@ test -f build-aux/depcomp \
> 
>    case $depmode in
>      auto)
>   +    displayed_depmode='.*'
>        cfg_deptrack=--enable-dependency-tracking ;;
>      disabled)
>   +    displayed_depmode=none
>        cfg_deptrack=--disable-dependency-tracking ;;
>      *)
>        # Sanity check: ensure the cache variable we force is truly
>        # used by configure.
> 
>        $FGREP $cachevar configure \
>          || fatal_ "configure lacks required cache variable '$cachevar'"
>   +    displayed_depmode="(cached) $depmode"
>        cfg_deptrack="cachevar=$depmode" ;;
>   @@ -318,7 +321,15 @@ do_test ()
>          ;;
>      esac
> 
>   -  command_ok_ "$pfx configure" "$srcdir"/configure $cfg_deptrack ${1+"$@"}
>   +  command_ok_ \
>   +    "$pfx configure" \
>   +    "$srcdir/configure" $cfg_deptrack ${1+"$@"} >stdout
>   +  cat stdout
>   +
>   +  command_ok_ \
>   +    "$pfx right depmode selected" \
>   +    grep "^checking dependency style .*\.\.\. $displayed_depmode$" stdout
>   +
>      command_ok_ "$pfx simple make" make_ok
>      # Some bugs in VPATH builds only kick in during a rebuild.
>      command_ok_ "$pfx clean & rebuild" eval '$MAKE clean && make_ok'

Remember to also bump plan_...

> I will push the patch by tomorrow, barring objections.

And thanks for this new depcomp testing infrastructure!

Cheers,
Peter